Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22032

Description

This looks like it is just a corner case remaining after the fix for #5173.

A) QGIS allows me to create a column with precision = length. I'm not sure if this itself is a bug, but it then behaves strangely with that

column: 

B) e.g. if I create a field with precision = length = 2, when editing a feature I can save in that field either three digits before the decimal

point or two after it (is this a bug or a feature of the shapefile format? Perhaps it is related to Christine's comment at #5546)

C) but the gui lets me put in a lot more digits both before and after the decimal point.

D) and even if I save the edit I can't see the "rounding" that occurs unless I reopen the attribute table.

Apologies if I haven't chosen the most appropriate category - I'm wondering if it should be "GUI".

Related issues:

Related to QGIS Application - Bug report # 5173: Shape file field precision i... Closed 2012-03-13

Related to QGIS Application - Bug report # 5154: Need to check that precision... Closed 2012-03-10

Associated revisions

Revision 9d473aae - 2016-01-17 05:21 PM - Alexander Bruy

don't allow field precision greater than field width (fix #14019, #5154)

Revision c1f7257b - 2016-01-31 08:53 AM - Nyall Dawson

Merge pull request #2682 from alexbruy/field-precision

don't allow field precision greater than field width (fix #14019, #5154)

History

#1 - 2016-01-30 11:55 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"c1f7257b24ab79e9a3d43768bab7d69e644e3fb5".
